if [ -z "${OUTPUT_DIR}" ] ; then
	export OUTPUT_DIR=output
fi

if [ -z "${PROJECT}" ] ; then
	export PROJECT=example_course
fi
if [ -z "${CONTAINER}" ] ; then 
	export CONTAINER="registry.cybbh.space/courseware-as-code/courseware-builder/container:latest"
fi

if [ -z "${INSTRUCTOR_BASE_URL}" ]; then
	export INSTRUCTOR_BASE_URL="/${PROJECT}_instructor_output/public/"
fi

if [ -z "${INSTRUCTOR_BASE_HOST}" ]; then
	export INSTRUCTOR_BASE_HOST=""
fi

if [ -z "${STUDENT_BASE_URL}" ]; then
	export STUDENT_BASE_URL="/${PROJECT}_student_output/public/"
fi

if [ -z "${STUDENT_BASE_HOST}" ]; then
	export STUDENT_BASE_HOST=""
fi

if [ -z "${CI_MODE}" ]; then 
	export INTERACTIVE_FLAGS=" -ti "
fi

if [ -z "${BUILD_STUDENT}" ] ; then
	export BUILD_STUDENT="True"
fi

if [ -z "${VERBOSITY}" ]; then
	export VERBOSITY=1
fi

if [ -z "${BUILD_INSTRUCTOR}" ]; then
	export BUILD_INSTRUCTOR="True"
fi

if [ ! -d "${OUTPUT_DIR}" ]; then
	mkdir "${OUTPUT_DIR}"
	chmod 777 "${OUTPUT_DIR}"
fi

service docker status
service docker restart
ls -la /var/run
FILE=/var/run/docker.sock
if test -f "$FILE"; then
    echo "$FILE exists."
fi

docker run --rm ${INTERACTIVE_FLAGS} \
        -v ${PWD}/${PROJECT}:/opt/course_builder/${PROJECT}:ro \
        -v ${PWD}/process_course.py:/opt/course_builder/process_course.py:ro \
        -v ${PWD}/internal_build.sh:/opt/course_builder/build.sh:ro \
        -v ${PWD}/${OUTPUT_DIR}:/opt/course_builder/${OUTPUT_DIR} \
	--env "DEBUG_ONLY=${DEBUG_ONLY}" \
	--env "BUILD_STUDENT=${BUILD_STUDENT}" \
	--env "BUILD_INSTRUCTOR=${BUILD_INSTRUCTOR}" \
	--env "VERBOSITY=${VERBOSITY}" \
        -w "/opt/course_builder" \
        "${CONTAINER}" /opt/course_builder/build.sh "${PROJECT}" "${OUTPUT_DIR}" "${INSTRUCTOR_BASE_URL}" "${INSTRUCTOR_BASE_HOST}" "${STUDENT_BASE_URL}" "${STUDENT_BASE_HOST}"
